package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 获取缺陷反馈列表入参--接口出参
 * @author： zhanghang
 * @time: 2022/4/21 10:07
 */
@ApiModel(value = "获取缺陷反馈列表入参--接口出参")
@Getter
@Setter
public class GetMedDefectFeedbackPageDTO  implements Serializable {

    private static final long serialVersionUID = -7907298942260577095L;
    @ApiModelProperty(value = "反馈人编号")
    private String senderCode;

    @ApiModelProperty(value = "反馈人姓名")
    private String senderName;

    @ApiModelProperty(value = "所属科室ID")
    private String deptId;

    @ApiModelProperty(value = "所属科室")
    private String deptName;

    @ApiModelProperty(value = "反馈时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtCreate;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "病人住院序号")
    private String behospitalCode;

    @ApiModelProperty(value = "患者年龄")
    private String age;

    @ApiModelProperty(value = "模块ID")
    private Long modeId;

    @ApiModelProperty(value = "模块名称")
    private String modeName;

    @ApiModelProperty(value = "条目ID")
    private Long casesEntryId;

    @ApiModelProperty(value = "提示信息")
    private String qcresultDetailMsg;

    @ApiModelProperty(value = "反馈说明")
    private String explainInfo;

    @ApiModelProperty(value = "接收人编号")
    private String receiverCode;

    @ApiModelProperty(value = "接收人姓名")
    private String receiverName;

    @ApiModelProperty(value = "抄送人编号")
    private String ccCodes;

    @ApiModelProperty(value = "抄送人姓名")
    private String ccNames;

    @ApiModelProperty(value = "操作类型 1:修改|2:删除|3:新增已有|4:新增缺失|5:恢复")
    private String operationType;

    @ApiModelProperty(value = "状态 0:待确认|1:已确认")
    private String status;

    @ApiModelProperty(value = "是否归档 0: 未归档|1:已归档")
    private String isPlacefile ;
}
