package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 消息通知表
 * </p>
 *
 * @author songxl
 * @since 2022-04-12
 */
@Getter
@Setter
public class MedNewsNotice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 标题
     */
    private String title;

    /**
     * 通知类型,1:质控任务 0:其他
     */
    private String type;

    /**
     * 消息
     */
    private String news;

    /**
     * 阅读状态,0:未读 1:已读
     */
    private String status;

    /**
     * 发送者
     */
    private String sender;

    /**
     * 接收者
     */
    private String receiver;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;


    @Override
    public String toString() {
        return "MedNewsNotice{" +
            "id=" + id +
            ", hospitalId=" + hospitalId +
            ", type=" + type +
            ", news=" + news +
            ", status=" + status +
            ", sender=" + sender +
            ", receiver=" + receiver +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
